Child pages
  • Installing Grouper

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

I would like to stick as much as possible to Ubuntu provided packages, preferably the latest versions of everything. Confirmed on the list that Grouper can run fine with OpenJDK, so no need for the Sun Oracle Java stuff any more. So, at the moment it looks like we're going to use:

  • Tomcat 76.0.2635  (v7 does not work with Grouper - yet)
  • PostgreSQL 9.1.4
  • Ant 1.8.2
  • OpenJDK 7u3

...

Code Block
apt-get install --no-install-recommends subversion postgresql libpgjava tomcat7tomcat6 openjdk-7-jdk ant

Remove the old JRE:

...

Code Block
ant dist

 

Create a file /etc/tomcat7tomcat6/Catalina/localhost/grouper-ui.xml with this content:

Code Block
languagehtml/xml
<?xml version="1.0" encoding="UTF-8"?>
<Context
        path="/grouper"
        docBase="/opt/GROUPER_2_1_1/grouper-ui/dist/grouper"
        reloadable="false"
/>

Edit /etc/tomcat7tomcat6/tomcat-users.xml so that there is a user called GrouperSystem, with a proper passworfsecure password:

Code Block
languagehtml/xml
<tomcat-users>
<role rolename="grouper_user"/>
<user username="GrouperSystem" password="hackme" roles="grouper_user"/>
</tomcat-users>

...

Change the permissions on the logging directory:

Code Block
chown tomcat7tomcat6:tomcat7tomcat6 /opt/GROUPER_2_1_1/grouper/logs

Restart tomcat

Code Block
service tomcat7tomcat6 restart

You should now be able to go to http://<yourservername>:8080/grouper-ui/

...